# Recipes By MealTime

Use the `recipesByMealTime` query to obtain a set of recommended recipes for different meals.

These recommendations change daily.

### Available Arguments

None of the following arguments are required:

<table data-header-hidden><thead><tr><th width="197">Argument</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Argument</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>mealTime</code></td><td><code>RecipeMealTime</code></td><td>Valid values are: <code>BREAKFAST</code>, <code>LUNCH</code>, <code>DINNER</code>, <code>SNACK</code>, <code>TREAT_DESSERT</code></td></tr><tr><td><code>dietaryTags</code></td><td><code>[DietaryTag]</code></td><td>Possible values: <code>VEGETARIAN</code> <code>DAIRY_FREE</code> <code>GLUTEN_FREE</code> <code>PLANT_BASED</code> <code>VEGAN</code></td></tr><tr><td><code>maxPrepTime</code></td><td><code>Int</code></td><td>Maximum preparation time in minutes. Sending this parameter filters out recipes with prep time longer than this value.</td></tr><tr><td><code>cuisines</code></td><td><code>[String]</code></td><td>Example:[Mexican, Asian, Thai, American]<br></td></tr></tbody></table>

## Available Fields <a href="#available-fields" id="available-fields"></a>

The following fields will be displayed in the response:

| **Field Name** | **Type**          | **Description**                                                                |
| -------------- | ----------------- | ------------------------------------------------------------------------------ |
| `id`           | ID!               | The recipe's id                                                                |
| `databaseId`   | String            | The database id of the recipe                                                  |
| `totalTime`    | String            | <p>Total preparation and cooking time in text format</p><p>E.g., 5 minutes</p> |
| `name`         | <p>String<br></p> | Name of the recipe                                                             |

Refer to [this documentation](https://docs.suggestic.com/graphql/objects/recipe/recipe-object) to get the complete list of recipe fields you can add to the query response.

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recipesByMealTime(mealTime: BREAKFAST) {
    edges {
      node {
        name
        mealTags
      }
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "recipesByMealTime": {
      "edges": [
        {
          "node": {
            "name": "Soft Boiled Eggs With Salmon And Spring Mix",
            "mealTags": [
              "Breakfast"
            ]
          }
        },
        {
          "node": {
            "name": "1-Day Cleanse Glowing Green Smoothie",
            "mealTags": [
              "Breakfast"
            ]
          }
        },
        {
          "node": {
            "name": "Sweet Potato Breakfast Skillet Hash",
            "mealTags": [
              "Breakfast"
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Example with tags

The following example filters the recipe by meal time and dietary tags

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recipesByMealTime(mealTime: BREAKFAST, dietaryTags: [GLUTEN_FREE]) {
    edges {
      node {
        name
        author
        ingredients {
          name
        }
        instructions
        ingredientLines
      }
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "recipesByMealTime": {
      "edges": [
        {
          "node": {
            "name": "Superfood Protein Shake ",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Hemp heart seeds"
              },
              {
                "name": "Chia seeds"
              },
              {
                "name": "Kale"
              },
              {
                "name": "Flax seed"
              },
              {
                "name": "Pumpkin seeds"
              },
              {
                "name": "Walnuts"
              },
              {
                "name": "Coconut milk"
              }
            ],
            "instructions": [
              "Add all ingredients to blender and blend until you reach the desired consistency.",
              "You can add extra water in case you need to adjust the consistency."
            ],
            "ingredientLines": [
              "1 teaspoons hemp heart seeds",
              "1/4 cup chia seeds",
              "1/2 cup kale",
              "3 tablespoons flax seed",
              "1 handful pumpkin seeds",
              "1 handful walnuts",
              "1 cup unsweetened coconut milk"
            ]
          }
        },
        {
          "node": {
            "name": "Mushroom Omelette With Avocado",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Mushrooms"
              },
              {
                "name": "Eggs"
              },
              {
                "name": "Olive oil"
              },
              {
                "name": "Cherry tomatoes"
              },
              {
                "name": "Yellow onion"
              },
              {
                "name": "Avocado"
              }
            ],
            "instructions": [
              "Crack eggs into a mixing bowl and beat with a fork.",
              "Heat olive oil in frying pan and add chopped onion, tomatoes and mushroooms until they are soft.",
              "Set aside vegetables and add eggs to the pan, moving them around to spread them out.",
              "When the omelet begins to firm up, sprinkle over the vegetables.",
              "Serve with avocado and season with black pepper and herbs of your choice."
            ],
            "ingredientLines": [
              "1/2 cup mushrooms",
              "3 eggs",
              "2 tablespoons olive oil",
              "1/2 cup cherry tomatoes",
              "1/4 yellow onion",
              "1/2 avocado"
            ]
          }
        },
        {
          "node": {
            "name": "Eggs With Guacamole And Veggies",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Spinach"
              },
              {
                "name": "Olive oil"
              },
              {
                "name": "Guacamole"
              },
              {
                "name": "Eggs"
              },
              {
                "name": "Chia seeds"
              },
              {
                "name": "Red bell pepper"
              }
            ],
            "instructions": [
              "Sauté chopped bell pepper and spinach in olive oil.",
              "Add the eggs to the pan and cook them.",
              "Sprinkle with chia seeds and serve with guacamole."
            ],
            "ingredientLines": [
              "1 cup spinach",
              "3 tablespoons olive oil",
              "1/2 cup guacamole ",
              "3 eggs",
              "7 teaspoons chia seeds",
              "1 red bell pepper"
            ]
          }
        },
        {
          "node": {
            "name": "Greek Yogurt With Fruits And Nuts",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Nuts"
              },
              {
                "name": "Fruit"
              },
              {
                "name": "Greek yogurt"
              }
            ],
            "instructions": [
              "Serve the greek yogurt with one cup of fruit of your choice and 10 nuts.",
              "You can add vanilla extract or cinnamon in order to spice it up.",
              "You can also add the ingredients to a blender in order to create a smoothie, adding extra water in case you need to adjust the consistency."
            ],
            "ingredientLines": [
              "10 nuts",
              "1 cup fruit",
              "1 cup greek yogurt"
            ]
          }
        },
        {
          "node": {
            "name": "Scrambled Eggs With Chives",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Avocado"
              },
              {
                "name": "Ricotta cheese"
              },
              {
                "name": "Hemp seeds"
              },
              {
                "name": "Butter"
              },
              {
                "name": "Chives"
              },
              {
                "name": "Eggs"
              }
            ],
            "instructions": [
              "Beat eggs and ricotta cheese in bowl until blended.",
              "Heat butter in frying pan over medium heat.",
              "Pour in egg mixture.",
              "As eggs begin to set, gently pull the eggs across the pan with a spatula, forming large soft curds.Continue cooking and folding eggs until thickened and no visible liquid egg remains.",
              "Sprinkle over fresh chives and hemp seeds.",
              "Season with black pepper and herbs of your choice.",
              "Serve with avocado slices."
            ],
            "ingredientLines": [
              "1/2 avocado",
              "1 ounce ricotta cheese",
              "2 teaspoons hemp seeds",
              "2 tablespoons butter",
              "1/2 cup fresh chives",
              "2 eggs"
            ]
          }
        },
        {
          "node": {
            "name": "Oatmeal Pancakes With Blueberries",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Oat flour"
              },
              {
                "name": "Blueberries"
              },
              {
                "name": "Butter"
              },
              {
                "name": "Egg"
              },
              {
                "name": "Almond milk"
              }
            ],
            "instructions": [
              "In a blender, combine the oat flour, egg and almond milk.",
              "Blend until the mixture is smooth.",
              "Heat a frying pan over medium heat.",
              "Fry spoonfuls of the batter until golden brown on both sides.",
              "You can add some blueberries while the batter is cooking, so they burst into the pancakes, or serve them on top of the finished pancakes."
            ],
            "ingredientLines": [
              "1 cup oat flour",
              "1/2 cup blueberries",
              "1 tablespoon butter",
              "1 egg",
              "1 1/2 cup almond milk"
            ]
          }
        },
        {
          "node": {
            "name": "Coconut Milk Kefir With Almonds And Chia Seeds",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Coconut milk kefir"
              },
              {
                "name": "Chia seeds"
              },
              {
                "name": "Almonds"
              }
            ],
            "instructions": [
              "Add all ingredients to a blender and blend until mixture is smooth.",
              "You can always add some water in order to adjust the desired consistency."
            ],
            "ingredientLines": [
              "1/2 cup coconut milk kefir",
              "7 teaspoons chia seeds",
              "10 almonds"
            ]
          }
        },
        {
          "node": {
            "name": "Veggie Omelette With Olives",
            "author": "Suggestic",
            "ingredients": [
              {
                "name": "Olive oil"
              },
              {
                "name": "Green olives"
              },
              {
                "name": "Cheese cheddar"
              },
              {
                "name": "Eggs"
              },
              {
                "name": "Vegetables"
              }
            ],
            "instructions": [
              "Crack eggs into a mixing bowl and beat with a fork.",
              "Heat olive oil in frying pan and add vegetables.",
              "Cook until soft.",
              "Set aside vegetables and add eggs to pan.",
              "When the eggs begin to firm up, add the vegetables and sprinkle on cheese.",
              "Serve with green olives and season with black pepper and herbs of your choice."
            ],
            "ingredientLines": [
              "2 tablespoons olive oil",
              "6 green olives, pitted",
              "1 ounce cheddar cheese, grated",
              "2 eggs",
              "1 cup mixed vegetables"
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Example with cuisines

{% tabs %}
{% tab title="Query" %}

<pre class="language-graphql"><code class="lang-graphql">{
recipesByMealTime(cuisines:["Mexican", "Asian"]){
edges { 
    node { 
        name 
        mealTags 
        cuisines 
        }
     }
<strong>   }
</strong>}
</code></pre>

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "recipesByMealTime": {
      "edges": [
        {
          "node": {
            "name": "Breakfast Tacos",
            "mealTags": [
              "Breakfast"
            ],
            "cuisines":[
            "Mexican"
            ]
          }
        },
        {
          "node": {
            "name": "Fried Shallots",
            "mealTags": [],
             "cuisines":[
            "Asian"
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/recipes/recipe-by-meal-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
